[arch-commits] Commit in jikes/repos (4 files)

Eric Bélanger eric at archlinux.org
Wed Apr 8 04:07:05 EDT 2009


    Date: Wednesday, April 8, 2009 @ 04:07:05
  Author: eric
Revision: 34218

Merged revisions 356,13842,34212 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/jikes/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r13842 | allan | 2008-09-28 23:15:13 -0400 (Sun, 28 Sep 2008) | 1 line
  
  correct sourceforge url
........
  r34212 | eric | 2009-04-08 03:38:31 -0400 (Wed, 08 Apr 2009) | 2 lines
  
  upgpkg: jikes 1.22-3
      Updated url, Added license, FHS man pages, Removed old file in svn
........

Added:
  jikes/repos/extra-i686/jikes
    (from rev 34212, jikes/trunk/jikes)
Modified:
  jikes/repos/extra-i686/	(properties)
  jikes/repos/extra-i686/PKGBUILD
Deleted:
  jikes/repos/extra-i686/jikes.profile

---------------+
 PKGBUILD      |   20 +++++++++++---------
 jikes         |    3 +++
 jikes.profile |    1 -
 3 files changed, 14 insertions(+), 10 deletions(-)


Property changes on: jikes/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /jikes/trunk:1
   + /jikes/trunk:1-34217

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-08 08:01:42 UTC (rev 34217)
+++ extra-i686/PKGBUILD	2009-04-08 08:07:05 UTC (rev 34218)
@@ -4,20 +4,22 @@
 
 pkgname=jikes
 pkgver=1.22
-pkgrel=2
+pkgrel=3
 pkgdesc="Java compiler written in C"
 arch=(i686 x86_64)
-source=(http://heanet.dl.sourceforge.net/jikes/${pkgname}-${pkgver}.tar.bz2
+url="http://jikes.sourceforge.net/"
+license=('custom:IBM Public License')
+depends=('gcc-gcj')
+source=(http://downloads.sourceforge.net/jikes/${pkgname}-${pkgver}.tar.bz2
 	jikes)
-url="http://www-124.ibm.com/developerworks/oss/jikes/"
-depends=('gcc-gcj')
 md5sums=('cda958c7fef6b43b803e1d1ef9afcb85' 'adc932cbcfb46e15ef2ff0bd7e862f1c')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr --mandir=/usr/share/man || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install
-  mv ${startdir}/pkg/usr/bin/jikes ${startdir}/pkg/usr/bin/jikes-bin
-  install -m755 ${startdir}/src/jikes ${startdir}/pkg/usr/bin/
+  make DESTDIR=${startdir}/pkg install|| return 1
+  mv ${pkgdir}/usr/bin/jikes ${pkgdir}/usr/bin/jikes-bin
+  install -m755 ${srcdir}/jikes ${pkgdir}/usr/bin/jikes
+  install -D -m644 doc/license.htm  ${pkgdir}/usr/share/licenses/${pkgname}/license.htm
 }

Copied: jikes/repos/extra-i686/jikes (from rev 34212, jikes/trunk/jikes)
===================================================================
--- extra-i686/jikes	                        (rev 0)
+++ extra-i686/jikes	2009-04-08 08:07:05 UTC (rev 34218)
@@ -0,0 +1,3 @@
+#!/bin/sh
+CLASS="`ls -1r /usr/share/java/libgcj-*.jar 2> /dev/null | grep -m 1 libgcj-[[:digit:]]`"
+jikes-bin -bootclasspath ${CLASS} "$@"

Deleted: extra-i686/jikes.profile
===================================================================
--- extra-i686/jikes.profile	2009-04-08 08:01:42 UTC (rev 34217)
+++ extra-i686/jikes.profile	2009-04-08 08:07:05 UTC (rev 34218)
@@ -1 +0,0 @@
-export BOOTCLASSPATH=/opt/java/jre/lib/rt.jar



More information about the arch-commits mailing list